<?php
/**
 * Template part for displaying page content in index.php and archive.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @since 1.0.0
 * @package Suit Press WordPress Theme
 */
?>
<article <?php Suit_Press_Helper::schema_body( 'article' ); ?> id="post-<?php the_ID(); ?>" <?php post_class( Suit_Press_Helper::with_prefix( 'post' ) ); ?> >
	<div class="image-full post-image" style="<?php Suit_Press_Theme::the_default_image( get_the_ID() ); ?>" >
		<a class="suitpress-post-link" href="<?php echo esc_url( get_permalink() ); ?>"></a>
		<?php Suit_Press_Helper::post_format_icon() ?>
	</div>	
	
	<div class="post-content-wrap <?php echo esc_attr( Suit_Press_Theme::read_more_btn_classes() ); ?>">		
		<?php 
			Suit_Press_Helper::get_title();
			get_template_part( 'templates/meta', 'info' );
			the_excerpt();	
			Suit_Press_Helper::get_comment_number();
		?>
	</div>
</article>